%leadingzero
% Function which gives a string with N leading zeros.
% Use this for creating ordered indexed images.
%
% Example: leadingzero(203,5) should yield '00203'

function y = leadingzero(x,N)

y = [
    strrep(blanks(N-1 - fix(log10(x))),...
    ' ','0'),...
    num2str(x,3)
    ];

%End of code